E-MailRelay

Static Public Member Functions | List of all members
GNet::DnsMessageNameParser Class Reference

An implementation class used by GNet::DnsMessage to parse compressed domain names. More...

`#include <gdnsmessage.h>`

## Static Public Member Functions
static unsigned int | size (const DnsMessage &msg, unsigned int)
| Returns the size of the compressed name. More...
static std::string | read (const DnsMessage &msg, unsigned int)
| Returns the decompressed name, made up of the labels with dots inbetween. More...

## Detailed Description

An implementation class used by GNet::DnsMessage to parse compressed domain names.

Definition at line 251 of file gdnsmessage.h.

## Member Function Documentation

## ◆ read()

std::string GNet::DnsMessageNameParser::read | ( | const DnsMessage & | msg,
|  | unsigned int | offset_in
| ) |  |
| static

Returns the decompressed name, made up of the labels with dots inbetween.

Definition at line 311 of file gdnsmessage.cpp.

## ◆ size()

unsigned int GNet::DnsMessageNameParser::size | ( | const DnsMessage & | msg,
|  | unsigned int | offset_in
| ) |  |
| static

Returns the size of the compressed name.

Definition at line 293 of file gdnsmessage.cpp.

The documentation for this class was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/gdnsmessage.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/gdnsmessage.cpp